#include "mc32-common.h"
#include "MC32P7311.h"
#include "MC3090_3SPI_Demo.h"

#define	TX_LED_P12     	P12D
#define	RX_LED_P11     	P11D

//------------------------------------------
//ʱ˺ͽնӦĶֿ
//һʱΪ4msΪ500ms;һʱΪ8msΪ1000ms
#define	TNms_Value     	125//125*32us=4ms

//#define      	TNms_Value     	250;250*32us=8ms

uchar abuf;
uchar statusbuf;
uchar T1S_Num;
uchar RF_ChannelValue;
uchar TX_RX_DataLength[5];

extern 	uchar RF_RegData;

BITS_T Flag;
#define	TX_RX_Change_Flag      	       	Flag.bit0
#define	TNms_Flag      	       	       	Flag.bit1
#define	RF_ReadFIFOError_Flag  	       	Flag.bit2
#define	SPI_CKPHA_Flag 	   	   	   	   	   	   	   	   	Flag.bit3

void Init_IO(void);
void Init_RAM(void);
void Init_Timer(void);


const uchar __at 0x01 ID_Tab[3]={0xFF,0xFF,0xFF};
//------------------------------
//SPI_CSn=1
void Init_IO(void)
{
   	IOP0=0x00;
   	OEP0=0xFB;
   	IOP0=0x00;
   	
   	IOP1=0x01;
   	OEP1=0xFF;
   	IOP1=0x01;
}
//------------------------------
void Init_RAM(void)
{
   	for(FSR0=0;FSR0<0xff;FSR0++) 
   	{
   	   	INDF0=0;
   	}
   	FSR0=0xFF;
   	INDF0=0;
}
//------------------------------
void Init_Timer(void)
{
   	T0CR=0x86;
   	T0CNT=TNms_Value;
   	T0LOAD=TNms_Value;
   	
   	T0IF=0;
   	T0IE=1;	
}
//------------------------------
void main(void)
{
   	Init_IO();
   	Init_RAM();
   	while(0==RF_Init_Deal());
   	Init_Timer();
   	GIE=1;
   	
   	SPI_WriteReg_Deal(1,0xF9);
   	
   	SPI_WriteReg_Deal(65,0x01);

   	SPI_WriteReg_Deal(68,0xB0);
   	
   	SPI_WriteReg_Deal(22,0x83);

   	SPI_WriteReg_Deal(14,0x05);
   	
   	SPI_WriteReg_Deal(15,0x4B);

   	while(1);
}

//------------------------------
void int_isr(void) __interrupt
{
   	__asm
   	movra _abuf
   	swapar _PFLAG
   	movra _statusbuf
   	__endasm;
   	
   	if(1==T0IF)
   	{
   	   	T0IF=0;
   	
   	   	TNms_Flag=1;   	       	
   	}

   	__asm
   	swapar _statusbuf
   	movra _PFLAG
   	swapr _abuf
   	swapar _abuf
   	__endasm;
}