#ifndef _USER_
#define _USER_

#include <mc32-common.h>
#include <mc32p7311.h>


extern 	uchar TX_RX_DataLength[5];
extern 	uchar RF_RegData;


void InitSys(void);
uchar RF_Init_Deal(void);
void Direct_Mode(void);
void RF_TX_Deal(void);
void RF_TX_PKT_Deal(void);
void RF_TX_250K_Deal(void);
void RF_RX_Deal(void);
void RF_RX_250K_Deal(void);
void RF_Idle_Deal(void);
void RF_Sleep_Deal(void);
void RF_Wakeup_Deal(void); 
void RF_WriteFIFO_Deal(void);
void RF_ResetWriteFIFO_Deal(void);
void RF_ReadFIFO_Deal(void);
void RF_ResetReadFIFO_Deal(void);
void SPI_WriteReg_Deal(uchar RF_RegAddr_Temp,uchar RF_RegData_Temp);
void SPI_WriteBit_Deal(uchar SPI_BUF);
void SPI_ReadReg_Deal(uchar RF_RegAddr_Temp);
uchar SPI_ReadBit_Deal(void);
void Delay_100us_Deal(uchar Delay_100us_Num);
void RF_SetSyncWord_Deal(void);


typedef union{
unsigned char byte;
struct{
           	unsigned char bit0:1;
           	unsigned char bit1:1;
           	unsigned char bit2:1;
           	unsigned char bit3:1;
           	unsigned char bit4:1;
           	unsigned char bit5:1;
           	unsigned char bit6:1;
           	unsigned char bit7:1;


}bits;
}flag;

extern volatile flag Flag1;

#define	TX_RX_Change_Flag      	       	Flag1.bits.bit0
#define	TNms_Flag      	       	       	Flag1.bits.bit1
#define	RF_ReadFIFOError_Flag  	       	Flag1.bits.bit2
#define	SPI_CKPHA_Flag 	   	   	   	   	Flag1.bits.bit3




#endif
