
#include "User.h"





/************************************************
;  * DemoԷ:
;  *     1ʹ̨ԲDemo  
;  *     2һDemoʱΪ4ms500ms  
;  *     3һDemoʱΪ8ms1000ms 
;  * 
;  * ע⣺demoΪʾʹãʹý϶࣬
;  *       ʵʹõʱ
;  * 
;  * 飺ܸӵĽʹû
;  ***********************************************/


// #define TNms_Value      	131    //(256-131)*32us  =  4ms500ms 
#define TNms_Value      6      //(256-6)*32us  =  8ms1000ms
#define	TX_LED_P12     	P12D
#define	RX_LED_P11     	P11D


uchar ABuf,StatusBuf;
uchar T1S_Num;
uchar TX_RX_DataLength[5];

volatile flag Flag1;

/************************************************
; Ҫ빦ʱʹã¼ʱӦַչΪID
; ***********************************************/
const uchar __at 0x3f0 ID_Tab[3]  =  {0xFF,0xFF,0xFF};

/************************************************
;  *    @Function Name       : C_RAM
;  *    @Description         : ʼRAM
;  ***********************************************/
void C_RAM(void)
{
   	for(FSR0 = 0;FSR0<0xff;FSR0++) 
   	{
   	   	INDF0 = 0;
   	}
   	FSR0 = 0xFF;
   	INDF0 = 0;
}
/************************************************
;  *    @Function Name       : ConfigSet
;  *    @Description         : IOPWMʱ
;  ***********************************************/
void ConfigSet(void)
{
   /******************* P0 ********************/
   	IOP0 = 0x02; //RF_CE = 1
   	OEP0 = 0xEB; //PKT_Flag Input   0:input 1:output
   	IOP0 = 0x02; 
   /******************* P1 ********************/
   	IOP1 = 0x01; //RF_CSn = 1
   	OEP1 = 0xFF; //0:input 1:output
   	IOP1 = 0x01; 
   /**************** RFʼ *****************/
   	while(0  ==  RF_Init_Deal());
   /**************** ʱ0 ******************/
   	T0CR = 0x86;
   	T0CNT = TNms_Value;
   	T0LOAD = TNms_Value;
   	
   	T0IF = 0;
   	T0IE = 1;  	
}
/************************************************
;  *    @Function Name       : InitSys
;  *    @Description         : ϵͳʼ
;  ***********************************************/
void InitSys(void)
{
   	GIE = 0;
   	C_RAM();
   	ConfigSet();
   	GIE = 1;
}
void main(void)
{
   	InitSys();
   	while(1)
   	{
   	   	if(0 == TX_RX_Change_Flag)
   	   	{
   	   	   	TX_RX_DataLength[0] = 4;
   	   	   	TX_RX_DataLength[1] = ID_Tab[0];
   	   	   	TX_RX_DataLength[2] = ID_Tab[1];
   	   	   	TX_RX_DataLength[3] = ID_Tab[2];
   	   	   	TX_RX_DataLength[4] = 0x44;
   	   	   	
   	   	   	RF_ResetWriteFIFO_Deal();
   	   	   	RF_WriteFIFO_Deal();
   	   	   	
   	   	   	do
   	   	   	{
   	   	   	   	RF_TX_Deal();
   	   	   	   	RF_TX_PKT_Deal();      	
   	   	   	   	TX_LED_P12 = 1;
   	   	   	}
   	   	   	while(0 == TNms_Flag);
   	   	   	TNms_Flag = 0;
   	   	}
   	   	else 
   	   	{
   	   	   	do
   	   	   	{
   	   	   	   	SPI_ReadReg_Deal(97);
   	   	   	   	if(0x40 == (RF_RegData&0x40))
   	   	   	   	{
   	       	   	   	RF_ReadFIFO_Deal();
   	       	   	   	RF_ResetReadFIFO_Deal();
   	       	   	   	RF_RX_Deal();
   	   	   	   	   	if((0 == RF_ReadFIFOError_Flag)
   	   	   	   	   	&&(4 == TX_RX_DataLength[0])   	   	   	   	   	
   	   	   	   	   	&&(ID_Tab[0] == TX_RX_DataLength[1])   	   	   	   	   	
   	   	   	   	   	&&(ID_Tab[1] == TX_RX_DataLength[2])   	   	   	   	   	
   	   	   	   	   	&&(ID_Tab[2] == TX_RX_DataLength[3])   	   	   	   	   	
   	   	   	   	   	&&(0x44 == TX_RX_DataLength[4]))   	   	   	   	
   	   	   	   	   	{
   	   	   	   	   	   	RX_LED_P11 = 1;    	       	       	       	       	       	
   	   	   	   	   	}
   	   	   	   	}      	       	       	       	
   	   	   	}
   	   	   	while(0 == TNms_Flag);
   	   	   	TNms_Flag = 0;
   	   	}
   	   	T1S_Num++;
   	   	if(T1S_Num>124)
   	   	{
   	   	   	T1S_Num = 0;
   	   	   	if(0 == TX_RX_Change_Flag)
   	   	   	{
   	   	   	   	TX_RX_Change_Flag = 1;
   	   	   	   	TX_LED_P12 = 0;
   	   	   	   	RF_ResetReadFIFO_Deal();
   	   	   	   	RF_RX_Deal();  	       	       	       	
   	   	   	}
   	   	   	else 
   	   	   	{
   	   	   	   	TX_RX_Change_Flag = 0;
   	   	   	   	RX_LED_P11 = 0;
   	   	   	   	RF_Idle_Deal();
   	   	   	}
   	   	}
   	}
}

//------------------------------
void int_isr(void) __interrupt
{
   	__asm
   	movra   _ABuf
   	swapar  _PFLAG
   	movra   _StatusBuf
   	__endasm;
   	
   	if((T0IF)&&(T0IE))
   	{
   	   	T0IF = 0;  	
   	   	TNms_Flag = 1;     	       	
   	}

   	__asm
   	swapar  _StatusBuf
   	movra   _PFLAG
   	swapr   _ABuf
   	swapar  _ABuf
   	__endasm;
}