
#include "MC3100_3SPI_Demo.h"

#define	TX_LED_P10     	P10D
#define	RX_LED_P11     	P11D

//------------------------------------------
//ʱ˺ͽնӦĶֿ
//һʱΪ4msΪ500ms;һʱΪ8msΪ1000ms
#define	TNms_Value     	131//(256-131)*32us=4ms

//#define      	TNms_Value     	6;(256-6)*32us=8ms

u8 ABuf,StatusBuf;
u8 T1S_Num;
u8 RF_ChannelValue;
u8 TX_RX_DataLength[5];

extern 	uchar RF_RegData;
volatile Flag Flag1;

const uchar __at 0x01 ID_Tab[3]={0xFF,0xFF,0xFF};

//------------------------------
//SPI_CSn=1
void Init_IO(void)
{
   	P0=0x01;
   	DDR0=0x00;
   	P0=0x01;
   	
   	P1=0x00;
   	DDR1=0x00;
   	P1=0x00;
}
//------------------------------
void Init_RAM(void)
{
  __asm
   	movai  	0x40
   	movra  	FSR
   	movai  	48
   	movra  	0x07
   	decr   	FSR
   	clrr   	INDF
   	djzr   	0x07
   	goto   	$-3
   	clrr   	INDF
   	clrr   	0x07
  __endasm;
}
//------------------------------
void Init_Timer(void)
{
   	T0CR=0x05;
   	T0CNT=TNms_Value;
   	
   	T0IF=0;
   	T0IE=1;	
}
//------------------------------
void main(void)
{
   	Init_IO();
   	Init_RAM();
   	while(0==RF_Init_Deal());
   	Init_Timer();
   	GIE=1;
   	
   	SPI_WriteReg_Deal(1,0xF9);
   	
   	SPI_WriteReg_Deal(65,0x01);

   	SPI_WriteReg_Deal(68,0xB0);
   	
   	SPI_WriteReg_Deal(22,0x83);

   	SPI_WriteReg_Deal(14,0x05);
   	
   	SPI_WriteReg_Deal(15,0x4B);

   	while(1);
}

//------------------------------
void int_isr(void) __interrupt
{
   	__asm
   	movra   _ABuf
   	swapar  _STATUS
   	movra   _StatusBuf
   	__endasm;
   	
   	if(1==T0IF)
   	{
   	   	T0IF=0;
   	   	T0CNT=TNms_Value;
   	   	TNms_Flag=1;   	       	
   	}

   	__asm
   	swapar  _StatusBuf
   	movra   _STATUS
   	swapr   _ABuf
   	swapar  _ABuf
   	__endasm;
}