#ifndef _MC3090_3SPI_Demo_H_
#define _MC3090_3SPI_Demo_H_

#include "mc32-common.h"
//============Define  Flag=================
typedef struct 	{
   	uchar bit0 : 1;
   	uchar bit1 : 1;
   	uchar bit2 : 1;
   	uchar bit3 : 1;
   	uchar bit4 : 1;
   	uchar bit5 : 1;
   	uchar bit6 : 1;
   	uchar bit7 : 1;
} BITS_T;

uchar RF_Init_Deal(void);
void RF_TX_Deal(void);
void RF_TX_PKT_Deal(void);
void RF_RX_Deal(void);
void RF_Idle_Deal(void);
void RF_Sleep_Deal(void);
void RF_Wakeup_Deal(void);
void RF_WriteFIFO_Deal(void);
void RF_ResetWriteFIFO_Deal(void);
void RF_ReadFIFO_Deal(void);
void RF_ResetReadFIFO_Deal(void);
void SPI_WriteReg_Deal(uchar RF_RegAddr_Temp,uchar RF_RegData_Temp);
void SPI_WriteBit_Deal(uchar SPI_BUF);
void SPI_ReadReg_Deal(uchar RF_RegAddr_Temp);
uchar SPI_ReadBit_Deal(void);
void Delay_100us_Deal(uchar Delay_100us_Num);
void RF_SetSyncWord_Deal(void);

#endif
